stages:
  - build
  - package
  - publish

build-and-test:
  image: python:3.10
  stage: build
  tags:
      - docker
  before_script:
      - apt-get update && apt-get install -y lsb-release wget software-properties-common gnupg
      - bash -c "$(wget -O - https://apt.llvm.org/llvm.sh)"
      - apt-get install -y build-essential cmake valgrind doxygen libcpprest-dev
      - pip install gcovr
      - export CC=clang
      - export CCX=clang++
  script:
      - ./generate
      - ./build/spring_school_client_tests --gtest_output="xml:report.xml"
      - cd build/
  artifacts:
    when: always
    reports:
      junit: report.xml
      coverage_report:
        coverage_format: cobertura
        path: build/coverage.xml
